%define upstream_name Dist-Zilla-Plugin-DOAP
%define upstream_version 0.003

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 5

Summary:	Create a doap.xml file for your project
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(CPAN::Changes)
BuildRequires:	perl(Dist::Zilla::File::InMemory)
BuildRequires:	perl(Moose)
BuildRequires:	perl(RDF::DOAP::Lite)
BuildRequires:	perl(namespace::autoclean)

BuildArch:	noarch

%description
This is a small plugin for Dist::Zilla, enabling you to bundle a DOAP
file with your distribution.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.3.0-5.mga8
+ Revision: 1494271
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.3.0-4.mga7
+ Revision: 1267520
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.3.0-3.mga6
+ Revision: 1026194
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.3.0-2.mga6
+ Revision: 966099
- Mageia 6 Mass Rebuild

* Tue Jun 23 2015 sander85 <sander85> 0.3.0-1.mga6
+ Revision: 840129
- update to 0.003

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-3.mga5
+ Revision: 742020
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 sander85 <sander85> 0.2.0-1.mga5
+ Revision: 671433
- imported package perl-Dist-Zilla-Plugin-DOAP

